Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class GroovyClassLoader.ClassCollector

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ClassgenCallback
          groovy.lang.GroovyClassLoader.ClassCollector

Enclosing class:
  GroovyClassLoader

    public static class GroovyClassLoader.ClassCollector

extends CompilationUnit.ClassgenCallback

Constructor Summary
`protected` | `GroovyClassLoader.ClassCollector(GroovyClassLoader.InnerLoader cl, CompilationUnit unit, SourceUnit su)`

Method Summary
`void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
`protected Class` | `createClass(byte[] code, ClassNode classNode)`
`protected GroovyClassLoader` | `getDefiningClassLoader()`
`Collection` | `getLoadedClasses()`
`protected Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyClassLoader.ClassCollector

    protected GroovyClassLoader.ClassCollector(GroovyClassLoader.InnerLoader cl,
                                               CompilationUnit unit,
                                               SourceUnit su)

Method Detail

### getDefiningClassLoader

    protected GroovyClassLoader getDefiningClassLoader()

### createClass

    protected Class createClass(byte[] code,
                                ClassNode classNode)

### onClassNode

    protected Class onClassNode(org.objectweb.asm.ClassWriter classWriter,
                                ClassNode classNode)

### call

    public void call(org.objectweb.asm.ClassVisitor classWriter,
                     ClassNode classNode)

  Specified by:
    `call` in class `CompilationUnit.ClassgenCallback`

### getLoadedClasses

    public Collection getLoadedClasses()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD